Skip to main content
GET
Get project public inference run status

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

run_id
string<uuid>
required

Response

Redacted status of a published application inference run: only run identity, project identity, status and terminal time.

id
string<uuid>
required

Public inference run UUID.

project_id
string<uuid>
required

Project UUID that owns the run.

status
enum<string>
required
Available options:
pending,
running,
waiting_for_tool,
completed,
failed,
cancelled
finished_at
string<date-time> | null
required

Terminal timestamp, or null while active.